---
title: "Get Bank Providers"
canonical_url: "https://docs.stablegate.com/docs/apiref/bank-providers/get-bank-providers"
---
# Get Bank Providers

::api-operation{color="success" endpoint="/v1/bank-providers/" method="GET"}
## Authorization

::field-group
::field{name="X-Api-Key" type="string" :required="true"}
API key generated in the Developers section of the Stablegate app. Send it in the `X-Api-Key` header on every request; the partner API does not require request signing.
::
::

## Query parameters

::field-group
::field{name="rail" type="string | null"}
Filter by rail (sepa, swift, ach)

One of: `bitcoin`, `sepa`, `sepa_instant`, `swift`, `ach`, `wire`, `visa`, `mastercard`, `ethereum`, `algorand`, `polygon`, `ripple`, `xinfin`, `stellar`, `tron`
::

:field[Filter by bank country (ISO alpha-3, e.g. CHE, LTU)]{name="country" type="string | null"}
::

## Responses

::tabs
::tabs-item{label="200"}
Successful Response

Type: `object[]`.

::field-group
:field{name="uuid" type="string<uuid>" :required="true"}:field{name="name" type="string" :required="true"}::field{name="bank_info" type="object | null"}
::collapsible{name="properties"}
::field-group
:field{name="bank_name" type="string" :required="true"}:field{name="bank_code" type="string" :required="true"}:field{name="bank_country" type="string" :required="true"}:field{name="bank_address" type="string | null"}
::
::
::

::field{name="rails" type="object[]"}
::collapsible{name="properties"}
::field-group
::field{name="code" type="string" :required="true"}
One of: `bitcoin`, `sepa`, `sepa_instant`, `swift`, `ach`, `wire`, `visa`, `mastercard`, `ethereum`, `algorand`, `polygon`, `ripple`, `xinfin`, `stellar`, `tron`
::

:field{name="name" type="string" :required="true"}::field{name="type" type="string" :required="true"}
One of: `bank`, `crypto`, `card`, `all`
::
::
::
::

::field{name="exchange_routes" type="object[]"}
::collapsible{name="properties"}
::field-group
:field{name="source_asset" type="string" :required="true"}:field{name="destination_asset" type="string" :required="true"}
::
::
::
::
::

::tabs-item{label="422"}
Validation Error

::field-group
:field{name="trace_id" type="string" :required="true"}::field{name="error_code" type="string" :required="true"}
One of: `devapi_internal_error`, `devapi_request_validation_error`, `devapi_iban_parse_error`, `devapi_customer_close_error`, `devapi_bank_code_required_error`, `devapi_download_aol_error`, `devapi_not_found_error`, `devapi_bad_request_error`, `devapi_email_occupied_error`, `devapi_idempotency_invalid_key`, `devapi_idempotency_key_misuse`, `devapi_idempotency_request_in_progress`, `devapi_kyc_application_link_error`, `devapi_instant_verification_error`, `devapi_unauthorized_error`, `devapi_forbidden_error`, `devapi_method_not_allowed_error`, `devapi_service_unavailable_error`
::

:field{name="message" type="string" :required="true"}::field{name="details" type="object[]" :required="true"}
::collapsible{name="properties"}
::field-group
:field{name="loc" type="string | string[]" :required="true"}:field{name="msg" type="string" :required="true"}:field{name="type" type="string" :required="true"}
::
::
::
::
::
::

::template{v-slot:samples=""}
::code-switcher{method="GET" path="/v1/bank-providers/"}
```bash
curl https://api.stablegate.com/v1/bank-providers/ \
  --header 'X-Api-Key: YOUR_API_KEY'
```
::

::code-group
```json [200]
[
  {
    "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "string",
    "bank_info": {
      "bank_name": "string",
      "bank_code": "string",
      "bank_country": "string",
      "bank_address": "string"
    },
    "rails": [
      {
        "code": "bitcoin",
        "name": "string",
        "type": "bank"
      }
    ],
    "exchange_routes": [
      {
        "source_asset": "string",
        "destination_asset": "string"
      }
    ]
  }
]
```

```json [422]
{
  "trace_id": "string",
  "error_code": "devapi_internal_error",
  "message": "string",
  "details": [
    {
      "loc": "string",
      "msg": "string",
      "type": "string"
    }
  ]
}
```
::
::
::


## Sitemap

See the full [sitemap](https://docs.stablegate.com/sitemap.md) for all pages.
